Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util
Class MarshalledValueInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              org.jboss.aop.util.MarshalledValueInputStream

All Implemented Interfaces:
  DataInput, ObjectInput, ObjectStreamConstants

public class MarshalledValueInputStream
extends ObjectInputStream

An ObjectInputStream subclass used by the MarshalledValue class to ensure the classes and proxies are loaded using the thread context class loader.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org

Nested Class Summary

Nested classes inherited from class java.io.ObjectInputStream
`ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`MarshalledValueInputStream(InputStream is)` Creates a new instance of MarshalledValueOutputStream

Method Summary
`protected Class` | `resolveClass(ObjectStreamClass v)` Use the thread context class loader to resolve the class
`protected Class` | `resolveProxyClass(String[] interfaces)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### MarshalledValueInputStream

    public MarshalledValueInputStream(InputStream is)
                               throws IOException

  Creates a new instance of MarshalledValueOutputStream

Method Detail

### resolveClass

    protected Class resolveClass(ObjectStreamClass v)
                          throws IOException,
                                 ClassNotFoundException

  Use the thread context class loader to resolve the class

  Throws:
    `IOException` - Any exception thrown by the underlying OutputStream.
    `ClassNotFoundException`

### resolveProxyClass

    protected Class resolveProxyClass(String[] interfaces)
                               throws IOException,
                                      ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.